import java.io.*;
import java.util.Random;

public class Distribution {

    private Card[] cards;
    private Random rand = new Random();

    public Distribution(BufferedReader r) throws IOException {
        
        int[] xs = new int[52];
        int sum = 0;
        for (int i = 0; i < 52; ++i) {
            String s = r.readLine();
            if (s == null)
                break;
            sum += xs[i] = Integer.parseInt(s);
        }
        cards = new Card[sum];
        
        for (int j = 0, i = 0; i < 52; ++i) {
            Card card = new Card( i / 13, i % 13 +1);
            for (int k = 0; k < xs[i]; ++k, ++j)
                cards[j] = card;
        }
    }
    
    public Card choose() {
        return cards[ (int)( rand.nextDouble() * cards.length ) ];
    }
}
